Bug 149507 - CRASH: pasting and undoing
Summary: CRASH: pasting and undoing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.5.0 target:7.3.5 target:7.4....
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2022-06-09 18:18 UTC by Xisco Faulí
Modified: 2022-06-21 08:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["sw::mark::FindFieldSep(sw::mark::IFieldmark const &)"]
Regression By: Michael Stahl


Attachments
sample file (32.50 KB, application/msword)
2022-06-09 18:18 UTC, Xisco Faulí
Details
bt with debug symbols (12.88 KB, text/plain)
2022-06-11 08:53 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-06-09 18:18:41 UTC
Created attachment 180657 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Select all
3. Copy
4. Paste
5. Undo

-> Crash

Reproduced in

Version: 7.4.0.0.alpha1+ / LibreOffice Community
Build ID: d4123356c61db269651e950a0a2cc93e6d801c90
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: x11
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-06-09 18:19:26 UTC
Regression introduced by:

author	Michael Stahl <michael.stahl@allotropia.de>	2021-11-19 16:08:57 +0100
committer	Michael Stahl <michael.stahl@allotropia.de>	2021-12-23 09:11:59 +0100
commit 657de5fba12b0e9afcdee361654d2a2d0dbd7311 (patch)
tree 5826d4081b90c4e55e262d203b0dffff3bbbc51d
parent d11fb6cecaf72787973990e09cc7e8d03bdbf9d7 (diff)
Revert "Revert "sw_fieldmarkhide: init fieldmark mode from options""

Bisected with: bibisect-linux64-7.4

Adding Cc: to Michael Stahl
Comment 2 Julien Nabet 2022-06-11 08:53:23 UTC
Created attachment 180675 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Commit Notification 2022-06-14 09:37:25 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6de844c5da695bf4605bef5510d33e74a7ff04ee

tdf#149507 sw: don't delete bookmarks in SwUndoInsLayFormat::UndoImpl()

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (allotropia) 2022-06-14 09:44:42 UTC
fixed on master
Comment 5 Commit Notification 2022-06-14 13:14:06 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/c935e6d68c06e50fb8de81a8497b4d9a9c5dda1f

tdf#149507 sw: don't delete bookmarks in SwUndoInsLayFormat::UndoImpl()

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-06-14 13:15:17 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/a5e9e27b4f7ff6fc10b091724c6c0849964ebf11

tdf#149507 sw: don't delete bookmarks in SwUndoInsLayFormat::UndoImpl()

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-06-15 06:43:28 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1968563b1dec40f2134a04b1241178ae27b0d6bb

tdf#149507: sw_uiwriter3: Add unittest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.